goo (0.155-16) unstable; urgency=medium

  * Split Emacs support into a separate package, now using dh-elpa.
    - debian/.gitignore: Add elpa-goo; generalize goo.foo patterns to
      cover elpa-goo.foo too (conveniently also matching .debhelper).
    - debian/control: Build-depend on dh-elpa; add an elpa-goo binary
      package, and have the main goo package suggest it.
    - debian/elpa-goo.elpa: List elisp files to install; exclude
      goo-font-lock.el (whose autoloads shadow stock font-lock.el), and
      add debian/goo-pkg.el.
    - debian/goo-pkg.el: Characterize metadata; take the *.goo file
      association over from the old emacsen-startup file.
    - debian/goo.emacsen-*: Remove, no longer needed by any name.
    - debian/goo.install: Remove, superseded by elpa-goo.elpa.
    - debian/goo.maintscript: Clean up old emacsen-startup file.
    - debian/rules: Run dh --with elpa.
  * configure: Hand-edit to ignore --runstatedir=*, which debhelper injects
    as of compat level 11.  (Hold off on regeneration with modern Autoconf.)
  * debian/compat: Advance to 11 (from 9).
  * debian/control:
    - Advance debhelper version requirement to 11~ accordingly.
    - Rules-Requires-Root: no (safe with override_dh_auto_install fixed).
    - Repoint Vcs-{Browser,Git} at salsa.
    - Split out Build-Depends-Arch (lib*-dev) and -Indep (dh-elpa).
    - Standards-Version: 4.3.0 (compliant at this point).
  * debian/goo.manpages: New, to avoid needing override_dh_installman.
  * debian/rules:
    - Run dh --without autoreconf, at least for now.
    - override_dh_auto_install: Don't micromanage /usr/bin/goo's ownership
      or permissions; they both come out correct by default, and trying to
      specify ownership explicitly fails without (fake)root.
    - Streamline builds that cover only architecture-dependent or
      -independent binary packages.
      + Limit use of --with elpa to binary and binary-indep.
      + Tag override_dh_auto_{configure,build,install} rules with -arch,
        and add no-op -indep variants.
      + Retire override_dh_installman in favor of debian/goo.manpages,
        to ensure elpa-goo doesn't try to ship goo.1.
      + Make override_dh_elpa_test a no-op for now to work around
        libdebian-source-perl bug #919964.
    - Install txt/changes.txt as NEWS(.gz) rather than changelog(.gz).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 20 Jan 2019 22:47:51 -0500

goo (0.155-15) unstable; urgency=medium

  * debian/control:
    - Canonicalize with the help of cme fix.  In particular, declare
      Standards-Version: 3.9.8 (already compliant, not that cme checked).
    - Homepage: https://people.csail.mit.edu/jrb/goo/.  (Closes: #767852.)
  * Incorporate (and unignore) automatic patches per dgit.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 23:54:42 -0500

goo (0.155-14) unstable; urgency=medium

  * d/control: Depend on emacsen-common (>= 2.0.8), per the new emacsen policy.
  * d/goo.emacsen-compat: Declare compliance with modern policy (already
    partially adopted by accident, because Debhelper jumped the gun).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 17 Jun 2014 10:58:39 -0400

goo (0.155-13) unstable; urgency=high

  * debian/goo.emacsen-install: Tolerate preexisting .el symlinks, which
    can exist when configuring goo and an emacs flavor in the same run.
    (Closes: #730811.)
  * debian/control: Note compliance with Standards-Version 3.9.5.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Dec 2013 13:57:57 -0500

goo (0.155-12) unstable; urgency=low

  * src/goo/system.goo (add-tmp-path): make sure to pass
    %create-temp-directory's result through %sb.  (Already taken care of
    in system.c, hand-patched because regeneration shuffles everything,
    but accidentally left out of system.goo.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 30 Jun 2012 00:11:26 -0400

goo (0.155-11) unstable; urgency=low

  * c/grt.h:
    - Make sure to declare YevalSast_evalYPbinding_{boundQ,value_or}
      to keep dynamically loaded g2c extensions from crashing when taking
      full advantage of 64-bit address spaces, as with PIE on amd64.
    - Also declare the new YgooSsystemYPcreate_temp_directory function.
  * {c/g2c,src}/goo/(%)system.*: arrange to build g2c extensions in secure
    temporary directories (cleaned on exit) rather than directly in /tmp.
  * debian/compat: advance to Debhelper 9.
  * debian/control:
    - Build-Depends: debhelper (>= 9), implying a new enough dpkg-dev.
    - Standards-Version: 3.9.3 (no changes required).
    - Repoint Vcs-* fields at anonscm.debian.org (vs. git.debian.org).
  * debian/goo.emacsen-install: symlink elisp source rather than copying
    it; keep the symlinks around.
  * debian/rules: enable full hardening.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 29 Jun 2012 00:28:41 -0400

goo (0.155-10) unstable; urgency=low

  * The "Third time's the charm?" release.
  * Patch grt.h to work around #617748 (the root cause of #617395) by
    defining GC_FREEBSD_THREADS or GC_GNU_THREADS in addition to
    GC_THREADS as appropriate, as gc_config_macros.h does not yet do so.
  * Run (dh_auto_)configure --with-threads on all architectures again, as
    it should now really be safe to do so.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Mar 2011 22:43:16 -0500

goo (0.155-9) unstable; urgency=low

  * Don't run (dh_auto_)configure --with-threads on kFreeBSD, on which
    libgc still lacks pthread support.  (Advancing to version 7 only made
    a difference on the Hurd.)  (Closes: #617395.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Mar 2011 18:58:42 -0500

goo (0.155-8) unstable; urgency=low

  * Advance GMP build-dependency from libgmp3-dev to libgmp10-dev | libgmp-dev.
  * Set baseline {C,LD}FLAGS from dpkg-buildflags, introduced in dpkg 1.15.7.
  * Advance to Debhelper 8 and minimize rules further (via override_dh_*).
  * Build-depend on libgc 7 and always invoke configure --with-threads.
  * Depend on ${misc:Depends} in case Debhelper ever populates it.
  * Reflect (direct) use of git, with no patch system of any sort.
  * Update section from devel to lisp.
  * Declare compliance with Policy 3.9.1.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 07 Mar 2011 23:53:15 -0500

goo (0.155-7) unstable; urgency=low

  * Migrate from CDBS to Debhelper 7.
  * Declare compliance with Policy 3.8.0.  (No changes needed.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 14 Jun 2008 17:26:08 -0400

goo (0.155-6) unstable; urgency=low

  * The "overdue spring cleaning" release.
  * Clean up build dependencies, assuming a baseline of at least stable (etch).
  * Advance to debhelper 6 on principle.
  * Migrate home page annotation from long description to formal field.
  * Clean up and clarify debian/copyright, following the machine-readable
    format proposal (http://wiki.debian.org/Proposals/CopyrightFormat).
  * Modernize doc-base section from Apps/Programming to Programming/Goo.
  * Likewise modernize menu section to Applications/Programming.
  * Override lintian regarding (upstream) CVS directories in source tree.
  * Declare compliance with policy ("Standards-Version") 3.7.3.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 26 Mar 2008 20:01:12 -0400

goo (0.155-5) unstable; urgency=low

  * Improve logic in debian/rules:
    - Check DEB_HOST_* rather than DEB_BUILD_* for the sake of
      cross-compilers.
    - Honor the (nonstandard) DEB_BUILD_OPTIONS flag "nothreads".
    - Never explicitly specify --without-threads, which ends up confusing
      configure.
  * Fix issues that led to crashes on 64-bit systems (closes: #325346):
    - %allocate-stack: use sizeof(P) as the element size rather than
      hardcoding 4.
    - Ensure that no function is called without a prototype.
    - Ensure that printf format strings and arguments match up.
  * Take care of minor warnings that are either still of potential
    significance or merely responsible for a lot of noise.
  * Increase hardcoded MAX_STACK_SIZE from 70000 to 170000 [bytes] to keep
    self-compilation from overflowing on 64-bit systems.
  * Fix configure's test for thread-local-variable support.

 -- Aaron M. Ucko <ucko@debian.org>  Mon,  5 Sep 2005 21:18:09 -0400

goo (0.155-4) unstable; urgency=low

  * Remove debian/conffiles and debian/dirs, which are redundant nowadays.
  * Remove do-nothing maintainer script skeletons.
  * Convert to CDBS (and debhelper 4).
  * Don't install bogus "gooomanual" files.
  * Fix grammar in debian/copyright.
  * Make sure to quote all fields in debian/menu.
  * Streamline wrapper script, and pass its arguments on to g2c.
  * Note upstream changelog: txt/changes.txt.
  * Add a rudimentary man page.
  * Improve short description.
  * Improve doc-base abstract, and add an entry for the PDF manual.
  * Remove install-info-altdir cruft from emacsen install/remove scripts,
    and enable -(-)no-site-file; also fix emacsen startup to use
    debian-pkg-add-load-path-item.
  * Update Standards-Version to 3.6.2 after verifying compliance.
  * Prefix package-specific files used by debhelper with "goo.".
  * Build without threads on the Hurd, as libgc does not (yet?) support
    threading on that platform; since we base this check on
    dpkg-architecture's DEB_BUILD_ARCH_OS variable, make sure to
    build-depend on a suitable version of dpkg-dev.  (Closes: #314367.)
  * Add a watch file.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Aug 2005 21:59:47 -0400

goo (0.155-3) unstable; urgency=low

  * New maintainer.  (Closes: #320076.)
    - Thanks for maintaining the package up until now, Jonathan H!
  * c/grt.h: parenthesize YP{def,set}_regs to fix FTBFS with GCC 4.
    (Closes: #300102.)
  * Version build-dependencies on libgc-dev and libgmp3-dev for the G++ 4
    transition.  (Closes: #319551.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 29 Jul 2005 22:50:05 -0400

goo (0.155-2) unstable; urgency=low

  * Depend on libgc1 instead of libgc6c102

 -- Jonathan Hseu <vomjom@debian.org>  Wed, 24 Mar 2004 04:41:13 -0600

goo (0.155-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Wed, 10 Mar 2004 02:37:35 -0600

goo (0.153-2) unstable; urgency=low

  * Build-Depend on libgc-dev
  * Package is rebuilt to depend on libgc1 which was recently renamed from
    libgc6c102

 -- Jonathan Hseu <vomjom@vomjom.org>  Wed, 20 Aug 2003 06:02:48 -0500

goo (0.153-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Tue, 21 Jan 2003 21:13:45 -0600

goo (0.146-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Tue,  3 Sep 2002 21:15:15 -0500

goo (0.143-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Sat, 24 Aug 2002 14:54:11 -0500

goo (0.142-1) unstable; urgency=low

  * New upstream.

 -- Jonathan Hseu <vomjom@debian.org>  Sat, 17 Aug 2002 01:34:40 -0500

goo (0.140-3) unstable; urgency=low

  * Fix for HPPA

 -- Jonathan Hseu <vomjom@debian.org>  Sun, 21 Jul 2002 06:56:19 -0500

goo (0.140-2) unstable; urgency=low

  * Oops, change section from unknown -> devel

 -- Jonathan Hseu <vomjom@debian.org>  Sun, 21 Jul 2002 05:59:28 -0500

goo (0.140-1) unstable; urgency=low

  * New upstream.

 -- Jonathan Hseu <vomjom@debian.org>  Sun, 21 Jul 2002 03:54:03 -0500

goo (0.133-6) unstable; urgency=low

  * Move libgc6-dev and gcc from Depends to Suggests 
  * Add an environment variable that sets evaluation mode
  * Change /usr/bin/goo to use ast-eval mode

 -- Jonathan Hseu <vomjom@debian.org>  Mon, 17 Jun 2002 21:30:42 -0500

goo (0.133-5) unstable; urgency=low

  * Add libgc6-dev and gcc to Depends

 -- Jonathan Hseu <vomjom@debian.org>  Sat, 15 Jun 2002 03:44:57 -0500

goo (0.133-4) unstable; urgency=low

  * Yet another Ucko patch.  His notes:
  * Compile with -ffunction-sections on HPPA.
  * Conditionalize use of msync (fixing the Hurd build).
  * Drop useless dependency on sharutils.

 -- Jonathan Hseu <vomjom@debian.org>  Thu,  6 Jun 2002 19:16:46 -0400

goo (0.133-3) unstable; urgency=medium

  * Apply Aaron Ucko's patch.  The following are his notes:
  * Urgency medium because this should address all the build failures.
  * Use system -lgc rather than upstream i386 gc.a. (closes: Bug#148126)
  * Fix 64-bit-unclean pointer->int casts; IA-64 binaries still segfault
    immediately, though. :-/
  * Compile in a default GOO_PATH of /usr/lib/goo, removing the need for
    wrapper scripts.
  * emacsen-startup: associate *.goo with goo-mode, provide autoloads for
    goo-mode and run-goo.
  * emacsen-install: don't compile goo-font-lock.el for xemacs; it
    contains some FSF-isms, and nothing uses it directly anyway.
    (closes: Bug#148948)

 -- Jonathan Hseu <vomjom@debian.org>  Wed,  5 Jun 2002 23:47:25 -0500

goo (0.133-2) unstable; urgency=low

  * Fix goo-shell.el for xemacs (closes: Bug#148170)

 -- Jonathan Hseu <vomjom@vomjom.org>  Fri, 31 May 2002 01:42:48 -0500

goo (0.133-1) unstable; urgency=low

  * Initial Release. (closes: Bug#147299)

 -- Jonathan Hseu <vomjom@debian.org>  Sat, 18 May 2002 01:59:23 -0500

